I have tried to compile the 1.0.17 version and 1.0.18rc3 with a 2.6.27.19-3.2-default kernel and failed both times.

this is what I get upon make:

......